Bug 467577 - USB full speed devices fail with recent kernel
USB full speed devices fail with recent kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 16:34 EDT by Ralph Loader
Modified: 2009-11-18 11:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 11:58:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from current (broken) kernel (43.47 KB, text/plain)
2008-10-18 21:24 EDT, Ralph Loader
no flags Details
Dmesg from older working kernel. (86.96 KB, application/octet-stream)
2008-10-18 21:27 EDT, Ralph Loader
no flags Details

  None (edit)
Description Ralph Loader 2008-10-18 16:34:47 EDT
Full speed (ehci) devices are not working for me under 2.6.27.2-23.rc1.fc10.x86_64

Sames devices work fine with kernel-2.6.27-0.352.rc7.git1.fc10.i686

Error is a timeout:

Oct 19 09:24:47 i kernel: usb 2-5: device descriptor read/64, error -110
Oct 19 09:25:03 i kernel: hub 2-0:1.0: unable to enumerate USB device on port 5
Oct 19 09:25:13 i kernel: uvcvideo: Failed to query (135) UVC control 2 (unit 2)
 : -110 (exp. 2).

Sometimes (not always) the kernel decides to drop back to full speed (OHCI) which then works.

Hardware is AMD 790GX / SB750 chipset:

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396]
00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397]
Comment 1 Pete Zaitcev 2008-10-18 17:49:53 EDT
Most likely interrupt routing went bad (these days it's governed by
ACPI tables). Please capture dmesg with  dmesg > ok.dmesg for 
2.6.27-0.352.rc7.git1.fc10 and  dmesg > bad.dmesg  for 2.6.27.2-23.rc1.fc10,
then attach both. It should give us a clue where the difference is.
The /var/log/messages may miss some information, I think dmesg is better.

Chuck, I'm not taking this bug yet, I know about IRQ routing as much as
a pig knows about oranges.
Comment 2 Ralph Loader 2008-10-18 21:24:38 EDT
Created attachment 320780 [details]
dmesg from current (broken) kernel
Comment 3 Ralph Loader 2008-10-18 21:27:52 EDT
Created attachment 320781 [details]
Dmesg from older working kernel.
Comment 4 Ralph Loader 2008-10-18 21:37:33 EDT
Interestingly, current i686 kernel (2.6.27.2-23.rc1.fc10.i686) does seem to work.

So it looks like the difference is i686 v. x86-64.
Comment 5 Bug Zapper 2008-11-25 22:59:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 03:35:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Ralph Loader 2009-11-18 11:58:24 EST
Has been working again for ages.

Note You need to log in before you can comment on or make changes to this bug.